# Libervia Web

### Copyrights

- Jérôme Poisson aka Goffi 2008-2023
- Adrien Cossa aka Souliane 2013-2016
- Additional contributions by community members

## License

Libervia is a Libre software (Free as in "Freedom"), distributed under the AGPL v3+
license. For the full license, please refer to the `COPYING` file.

## Relevant URLs

Here are some useful URLs, all of which (except for the source code repository) are
powered by Libervia itself, showcasing the flexibility and versatility of the tool:

- Official Website: <https://libervia.org>
- Documentation: <https://libervia.org/documentation/web>
- Bug Tracker: <https://libervia.org/tickets>
- Source Code: <https://repos.goffi.org/libervia-web/>
- News: <https://libervia.org/news> (currently the same as the blog below)
- Main Developer's Blog: <https://www.goffi.org/>

Additionally, our blogs are accessible via ActivityPub thanks to the Libervia XMPP <=>
ActivityPub gateway.

## About

Libervia Web is the official web frontend of the Libervia project. It is designed to be
user-friendly and offers a wide range of features including instant messaging, blogs,
forums, photo albums, file sharing, event organization, personal agendas, and various
kinds of lists (tickets, TODOs, shopping, etc.). Upcoming enhancements include the
addition of video calls. Libervia Web is an all-encompassing, universally compatible tool,
ideal for individuals, small and large groups, associations, internal communication,
public-facing websites, and private social networks.

The platform includes an easy-to-use invitation system, which simplifies the process of
bringing new members into the network. This system allows people to participate even if
they don't have an account.

Leveraging the power of [Brython](https://www.brython.info/), Python can be utilized both
server-side and in the browser. In essence, Libervia Web is a web framework created with
Python, capitalizing on the robustness of XMPP and Libervia for data management. This
makes it highly customizable, enabling the frontend to be easily adapted for specific use
cases or themes.

For additional information, please visit the [Official Website](https://libervia.org) or
the [Libervia Backend Repository](https://repos.goffi.org/libervia-backend).
